| Home | Libraries | People | FAQ | More

#### http::basic_fields::value_type

The type of element used to represent a field.

##### Synopsis

Defined in header `<boost/beast/http/fields.hpp>`

    class value_type

##### Member Functions

Name | Description
--- | ---
name | Returns the field enum, which can be field::unknown.
name_string | Returns the field name as a string.
operator= | Assignment (deleted)
value | Returns the value of the field.
value_type | Constructor (deleted)

##### Protected Member Functions

Name | Description
--- | ---
value_type |

##### Description

Convenience header `<boost/beast/http.hpp>`